<bugID>786593<Summary>Moving a tab to a different window leaves other tabs shifted in the source window</Summary><Description>http://hg.mozilla.org/mozilla-central/rev/8af2ff9c6018
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:18.0) Gecko/18.0 Firefox/18.0

1) Start Nightly
2) Ctrl+N for a new window
3) Open several (3+) new tabs in each window
4) Drag the rightmost (though this probably happens for any of them) tab from one window to the other

Expected:
* Tab detaches &amp; is dropped in the new window at the location of the cursor.
* Gap in tab bar on old window is filled by the other tabs moving into the space
* Tabs can be opened/closed/dragged/switched between on both windows without the wrong tab being operated on

Actual:
* Tab doesn't always drop at the correct location on the new window's tab bar
* The old window's tab bar is left with a gap
* Subsequent tab operations (switching, closing etc) occur on the wrong tab</Description></bugID>